<h1 mat-dialog-title>Upload new image for {{product.name}}</h1>
<mat-dialog-content>
  <div>
    <span class="image-label">Old image</span><span class="image-label">Cropper</span><span class="image-label">New image</span>
    <img src="{{imageUrl}}" class="upload-image" alt="Image of {{product.name}}">
    <image-cropper class="upload-image"
                   [imageChangedEvent]="imageChangedEvent"
                   [aspectRatio]="1 / 1"
                   [maintainAspectRatio]="true"
                   [resizeToWidth]="256"
                   [onlyScaleDown]="true"
                   [roundCropper]="false"
                   (imageCropped)="imageCropped($event)"
                   format="png"
    ></image-cropper>
    <img class="upload-image" [src]="croppedImage">
  </div>
  <section class="input-section">
    <mat-hint>Select an image file</mat-hint>
    <input type="file" class="formInput" (change)="handleFileInput($event)">
    <mat-error *ngIf="showUploadError">Failed to upload image file. Please try again.</mat-error>
  </section>
  <mat-progress-bar *ngIf="showProgressIndicator" mode="indeterminate"></mat-progress-bar>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button color="primary" (click)="onUploadClick()" [disabled]="fileToUpload == null">UPLOAD</button>
  <button mat-button mat-dialog-close="">CLOSE</button>
</mat-dialog-actions>
